EditGeneralPropertiesFormPrepareAction (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.action.resource.application.inventory.EditGeneralPropertiesFormPrepareAction class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.action.resource.application.inventory
Class EditGeneralPropertiesFormPrepareAction

    java.lang.Object
      org.apache.struts.action.Action
          org.apache.struts.tiles.actions.TilesAction
              org.hyperic.hq.ui.action.WorkflowPrepareAction
                  org.hyperic.hq.ui.action.resource.common.inventory.ResourceGeneralFormPrepareAction
                      org.hyperic.hq.ui.action.resource.application.inventory.EditGeneralPropertiesFormPrepareAction

    public class EditGeneralPropertiesFormPrepareAction

extends ResourceGeneralFormPrepareAction

This class handles preparing the general properties data displayed on screen 2.1.6.1 TODO: should just change the struts mappng to call `ResourceGeneralFormPrepareAction` directly and delete this class.

Field Summary

Fields inherited from class org.apache.struts.action.Action
`servlet`

Constructor Summary
`EditGeneralPropertiesFormPrepareAction()`

Method Summary
`org.apache.struts.action.ActionForward` | `workflow(org.apache.struts.tiles.ComponentContext context, org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Retrieve this data and store it in the `GroupForm`:

Methods inherited from class org.hyperic.hq.ui.action.WorkflowPrepareAction
`execute`

Methods inherited from class org.apache.struts.tiles.actions.TilesAction
`execute`

Methods inherited from class org.apache.struts.action.Action
`addErrors, addMessages, execute, generateToken, getErrors, getLocale, getMessages, getResources, getResources, getServlet, isCancelled, isTokenValid, isTokenValid, resetToken, saveErrors, saveErrors, saveMessages, saveMessages, saveToken, setLocale, setServlet`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EditGeneralPropertiesFormPrepareAction

    public EditGeneralPropertiesFormPrepareAction()

Method Detail

### workflow

    public org.apache.struts.action.ActionForward workflow(org.apache.struts.tiles.ComponentContext context,
                                                           org.apache.struts.action.ActionMapping mapping,
                                                           org.apache.struts.action.ActionForm form,
                                                           javax.servlet.http.HttpServletRequest request,
                                                           javax.servlet.http.HttpServletResponse response)
                                                    throws java.lang.Exception

  Description copied from class: `ResourceGeneralFormPrepareAction`
  Retrieve this data and store it in the `GroupForm`:

  Overrides:
    `workflow` in class `ResourceGeneralFormPrepareAction`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.